Package groovy.util

# Interface ObjectGraphBuilder.ChildPropertySetter

All Known Implementing Classes:
  `ObjectGraphBuilder.DefaultChildPropertySetter`

Enclosing class:
  `ObjectGraphBuilder`

public static interface ObjectGraphBuilder.ChildPropertySetter
Strategy for setting a child node on its parent.
Useful for handling Lists/Arrays vs normal properties.

## Method Summary

Modifier and Type
Method
Description
`void`
`setChild(Object parent, Object child, String parentName, String propertyName)`

## Method Details

### setChild

void setChild(Object parent, Object child, String parentName, String propertyName)

Parameters:
  `parent` - the parent's node value
  `child` - the child's node value
  `parentName` - the name of the parent node
  `propertyName` - the resolved relation name of the child